Summary: e-smith server and gateway - proxypass module.
%define name e-smith-proxypass
Name: %{name}
%define version 1.2.0
%define release 02
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: e-smith-proxypass-1.2.0-02.mitel_patch
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-lib
BuildRequires: perl, e-smith-devtools
AutoReqProv: no

%description
e-smith server and gateway software - proxypass module.

This module allows Apache to be configured to pass requests for
specified URLs through to other internal or external web sites.
Access to the passthrough locations is optionally restricted
to particular IP addresses or ranges.

To create a passthrough URL, add an entry to the accounts db:

/sbin/e-smith/db accounts set path1 ProxyPass Target http://some.where/blah \
	ValidFrom 127.0.0.1,203.25.102.15,203.25.100.0/24
/sbin/e-smith/signal-event console-save

To allow the URL to be passed through when accessed via HTTP as well as when
accessed via HTTPS, add a "Protocol http" property.

%changelog
* Mon Apr 14 2003 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-02]
- Change "Copyright: e-smith, inc" to "License: GPL". IOW, relicense
  as GPL. Include GPL2's COPYING file. [charlieb 8216]

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-01]
- Roll to maintained version number to 1.2.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-01]
- Roll to maintained version number to 1.2.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-01]
- Roll to maintained version number to 1.2.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-01]
- Roll to maintained version number to 1.2.0

* Wed Jun 5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-01]
- rollRPM: Rolled version number to 1.1.0-01. Includes patches up to 1.0.0-01.

* Fri Dec 21 2001 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-01]
- rollRPM: Rolled version number to 1.0.0-01. Includes patches up to 0.0.1-07.

* Mon Jul  9 2001 Adrian Chung <adrianc@e-smith.com>
- [0.0.1-07]
- Moving the newline outside of the non-interpolated single quotes.

* Mon Jul  9 2001 Adrian Chung <adrianc@e-smith.com>
- [0.0.1-06]
- Use SSLRequire %{HTTPS} eq "NULL" to deny SSL access
  to proxypass URLs.

* Fri Jul  6 2001 Adrian Chung <adrianc@e-smith.com>
- [0.0.1-05]
- Removed SSLDenySSL as it isn't a valid directive for modssl
- For now, there's no way to deny HTTPS connections.

* Thu Jul  5 2001 Adrian Chung <adrianc@e-smith.com>
- [0.0.1-04]
- Default to proxying both HTTP and HTTPS.
- Properties exist for both HTTP and HTTPS, if either is no, that
  protocol is not proxied.

* Thu Jun 22 2001 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-03]
- Add a Protocol property, and restrict access to HTTPS only unless the
  Protocol property is set to "http".

* Fri Jun 01 2001 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-02]
- add Description property that prefixes a comment in the Apache config file

* Thu May 31 2001 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-01]
- Initial release

%prep
%setup
%patch0 -p1

%pre

%post

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > e-smith-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f e-smith-%{version}-filelist
%defattr(-,root,root)
